=== debian/changelog ===
hhsuite (2.0.13-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 07 Mar 2012 09:35:48 +0100

hhsuite (2.0.12-1) unstable; urgency=low

  * Initial release (Closes: #656626)

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 22 Feb 2012 10:03:00 +0100
