=== debian/control ===
Source: hhsuite
Section: science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Laszlo Kajan <lkajan@rostlab.org>
Build-Depends: debhelper (>= 8.0.0), libffindex0-dev, help2man, libpng12-dev
Standards-Version: 3.9.3
Homepage: http://toolkit.genzentrum.lmu.de/sections/search
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/hhsuite/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/hhsuite/trunk/
DM-Upload-Allowed: yes

Package: hhsuite
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, ffindex, hhsuite-data
Description: sensitive protein sequence searching based on HMM-HMM alignment
 HH-suite is an open-source software package for sensitive protein sequence
 searching based on the pairwise alignment of hidden Markov models (HMMs).
 .
 This package contains HHsearch and HHblits among other programs and utilities.
 .
 HHsearch takes as input a multiple sequence alignment (MSA) or profile HMM
 and searches a database of HMMs (e.g. PDB, Pfam, or InterPro) for homologous
 proteins. HHsearch is often used for protein structure prediction to detect
 homologous templates and to build highly accurate query-template pairwise
 alignments for homology modeling.
 .
 HHblits can build high-quality MSAs starting from single sequences or from
 MSAs. It transforms these into a query HMM and, using an iterative search
 strategy, adds significantly similar sequences from the previous search to
 the updated query HMM for the next search iteration. Compared to PSI-BLAST,
 HHblits is faster, up to twice as sensitive and produces more accurate
 alignments.

Package: hhsuite-data
Architecture: all
Depends: ${misc:Depends}
Description: sensitive protein sequence searching based on HMM-HMM alignment (data)
 HH-suite is an open-source software package for sensitive protein sequence
 searching based on the pairwise alignment of hidden Markov models (HMMs).
 .
 This package contains architecture independent scripts and data files.

Package: hhsuite-dbg
Architecture: amd64
Section: debug
Depends: hhsuite (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: sensitive protein sequence searching based on HMM-HMM alignment (debug)
 HH-suite is an open-source software package for sensitive protein sequence
 searching based on the pairwise alignment of hidden Markov models (HMMs).
 .
 This package contains the debugging symbols.
