=== debian/changelog ===
hhsuite (2.0.15-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 27 Jun 2012 14:17:05 +0200

hhsuite (2.0.14-1) unstable; urgency=low

  * [Andreas Tille <tille@debian.org>]
    debian/upstream: Enhanced author values
  * [Laszlo Kajan <lkajan@rostlab.org>]
    New upstream release.

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 23 May 2012 10:52:40 +0200

hhsuite (2.0.13-2) unstable; urgency=low

  * [Andreas Tille <tille@debian.org>]
    debian/upstream:
     - it is (now) possible to support more than one citation
     - more verbose citation information
  * [Laszlo Kajan <lkajan@rostlab.org]
    Added #include <unistd.h> to src/hhsearch.C in order to fix compilation
    issue with g++-4.7. (Closes: #667201)

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 04 Apr 2012 13:45:49 +0200
