=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Laszlo Kajan <lkajan@rostlab.org>
-Build-Depends: debhelper (>= 8.0.0), libffindex0-dev, help2man, libpng12-dev
+Build-Depends: debhelper (>= 8.0.0), libffindex0-dev (>= 0.9.6.1), help2man, libpng12-dev
 Standards-Version: 3.9.3
 Homepage: http://toolkit.genzentrum.lmu.de/sections/search
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/hhsuite/trunk/
@@ -12,7 +12,8 @@
 
 Package: hhsuite
 Architecture: amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, ffindex, hhsuite-data
+Depends: ${shlibs:Depends}, ${misc:Depends}, ffindex (>= 0.9.6.1),
+ hhsuite-data (= ${source:Version})
 Description: sensitive protein sequence searching based on HMM-HMM alignment
  HH-suite is an open-source software package for sensitive protein sequence
  searching based on the pairwise alignment of hidden Markov models (HMMs).
