=== debian/watch ===
version=3

ftp://toolkit.lmb.uni-muenchen.de/HH-suite/releases/hhsuite-([0-9.]+)\.tar\.gz debian uupdate
