## hhsuite 2.0.16

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 INSTALL_DATA_DIR?=$(INSTALL_LIB_DIR)/data
 INSTALL_LIB_BIN_DIR?=$(INSTALL_LIB_DIR)/bin
 
-dist_name=hhsuite-2.0.15
+dist_name=hhsuite-2.0.16
 
 .PHONY: all_static
 all_static: ffindex_static
