=== debian/changelog ===
hhsuite (2.0.16-6) unstable; urgency=medium

  * Versioned Build-Depends ffindex0-dev (>= 0.9.9.6-2)
    Closes: #802076

 -- Andreas Tille <tille@debian.org>  Sun, 18 Oct 2015 07:53:08 +0200

hhsuite (2.0.16-5) unstable; urgency=medium

  * Add Replaces: hhsuite which was missing as well

 -- Andreas Tille <tille@debian.org>  Fri, 07 Nov 2014 07:08:34 +0100

hhsuite (2.0.16-4) unstable; urgency=medium

  * Add missing Breaks statement for hhsuite-doc
    Closes: #768114

 -- Andreas Tille <tille@debian.org>  Wed, 05 Nov 2014 07:21:05 +0100

hhsuite (2.0.16-3) unstable; urgency=medium

  * hhsuite Breaks hhsuite-data (<= 2.0.16-1)
    Closes: #765066
  * Priority: optional
  * Debhelper 9
  * cme fix dpkg-control
  * DEP5 fix
  * *-doc and *-data package are Architecture: all

 -- Andreas Tille <tille@debian.org>  Mon, 13 Oct 2014 14:44:05 +0200

hhsuite (2.0.16-2) unstable; urgency=low

  [Steffen Moeller]
  * Bumped standard to 3.9.4.
  * Removed DMUA flag.
  * Created new -doc package and moved user guide to it
  * Moved scripts directory from hhsuite-data to hhsuite
  * Added CHANGES file to .docs
  * joined hardening patch with rest1

  [Laszlo Kajan]
  * Bumped standard to 3.9.5.
  * Pulled 2.0.16-1 -> 2.0.16-1u1 changes from Ubuntu: arch all packages are
    now amd64, since all arch dep packages are also amd64.
  * Completed Steffen's changes.
  * Removed libpng12-dev dependency by disabling png feature. (Closes: #742579)

 -- Laszlo Kajan <lkajan@debian.org>  Mon, 08 Sep 2014 19:32:43 +0200

hhsuite (2.0.16-1) unstable; urgency=low

  [Laszlo Kajan]
  * New upstream release.
  * Updated debian/watch file.

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 24 Sep 2012 09:32:14 +0200
