=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: hhsuite
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Laszlo Kajan <lkajan@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
-Priority: extra
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Laszlo Kajan <lkajan@rostlab.org>
-Build-Depends: debhelper (>= 8.0.0), libffindex0-dev (>= 0.9.6.1), help2man, libpng12-dev
-Standards-Version: 3.9.3
+Priority: optional
+Build-Depends: debhelper (>= 9),
+               libffindex0-dev (>= 0.9.9.6-2),
+               help2man
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/hhsuite/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/hhsuite/trunk/
 Homepage: http://toolkit.genzentrum.lmu.de/sections/search
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/hhsuite/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/hhsuite/trunk/
-DM-Upload-Allowed: yes
 
 Package: hhsuite
 Architecture: amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, ffindex (>= 0.9.6.1),
- hhsuite-data (= ${source:Version})
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ffindex (>= 0.9.6.1),
+         hhsuite-data (= ${source:Version})
+Breaks: hhsuite-data (<= 2.0.16-1)
 Description: sensitive protein sequence searching based on HMM-HMM alignment
  HH-suite is an open-source software package for sensitive protein sequence
  searching based on the pairwise alignment of hidden Markov models (HMMs).
@@ -33,6 +38,20 @@
  HHblits is faster, up to twice as sensitive and produces more accurate
  alignments.
 
+Package: hhsuite-doc
+Architecture: all
+Section: doc
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Recommends: hhsuite
+Breaks: hhsuite (<= 2.0.16-1)
+Replaces: hhsuite (<= 2.0.16-1)
+Description: documentation for HHsuite for HMM-HMM comparisons
+ HH-suite is an open-source software package for sensitive protein sequence
+ searching based on the pairwise alignment of hidden Markov models (HMMs).
+ .
+ This package provides a PDF with the user guide for HH-suite.
+
 Package: hhsuite-data
 Architecture: all
 Depends: ${misc:Depends}
@@ -45,7 +64,10 @@
 Package: hhsuite-dbg
 Architecture: amd64
 Section: debug
-Depends: hhsuite (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Priority: extra
+Depends: hhsuite (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: sensitive protein sequence searching based on HMM-HMM alignment (debug)
  HH-suite is an open-source software package for sensitive protein sequence
  searching based on the pairwise alignment of hidden Markov models (HMMs).
