=== debian/watch ===
version=3

opts=passive \
ftp://toolkit.lmb.uni-muenchen.de/pub/HH-suite/releases/hhsuite-([0-9.]+)\.tar\.gz debian uupdate
