=== debian/changelog ===
hhsuite (3.0~beta2+dfsg-3) unstable; urgency=medium

  * Specify correct format in printf statement (Thanks for the patch to
    Daniel Shahaf <danielsh@apache.org>)
    Closes: #851764

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2017 16:52:21 +0100

hhsuite (3.0~beta2+dfsg-2) unstable; urgency=medium

  * Really fix watch file to fetch latest version
  * debhelper 10
  * simplify d/rules to make it more readable
  * drop -dbg file

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2017 12:06:40 +0100

hhsuite (3.0~beta2+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fixed watch file

  [ Sascha Steinbiss ]
  * New upstream release.
    Closes: #846487
  * Massive rework of packaging due to new upstream code and build system.
  * Migrate to git.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 14 Jan 2017 15:23:25 +0000

hhsuite (2.0.16-7) unstable; urgency=medium

  * Use system defined log2 and log10 to enable build using gcc-6.1
    Closes: #831115
  * cme fix dpkg-control
  * fix spelling
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sat, 13 Aug 2016 07:49:16 +0200
