=== data/CMakeLists.txt ===


INSTALL(FILES
	context_data.crf
	context_data.lib
	cs219.lib
	do_not_delete
	do_not_delete.phr
	do_not_delete.pin
	do_not_delete.psq
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
	DESTINATION data
)
