=== test/CMakeLists.txt ===
enable_testing()

SET (CTEST_ENVIRONMENT
  "HHLIB=${PROJECT_SOURCE_DIR}"
)

add_test(NAME hhblits COMMAND ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/hhblits -h)
add_test(NAME hhsearch COMMAND ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/hhsearch -h)
add_test(NAME hhalign COMMAND ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/hhalign -h)

SET_TESTS_PROPERTIES(hhblits hhsearch hhalign
  PROPERTIES ENVIRONMENT "HHLIB=${PROJECT_SOURCE_DIR}"
)
