=== debian/control ===
--- 
+++ 
@@ -1,23 +1,29 @@
 Source: hhsuite
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Laszlo Kajan <lkajan@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
                libffindex0-dev (>= 0.9.9.6-2),
+               cmake,
+               texlive-latex-base,
+               texlive-latex-recommended,
+               imagemagick,
                help2man
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/hhsuite/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/hhsuite/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/hhsuite.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/hhsuite.git
 Homepage: http://toolkit.genzentrum.lmu.de/sections/search
 
 Package: hhsuite
 Architecture: amd64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ffindex (>= 0.9.6.1),
-         hhsuite-data (= ${source:Version})
+         ffindex,
+         hhsuite-data (= ${source:Version}),
+         python
 Breaks: hhsuite-data (<= 2.0.16-1)
 Description: sensitive protein sequence searching based on HMM-HMM alignment
  HH-suite is an open-source software package for sensitive protein sequence
