=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://github.com/soedinglab/hh-suite/releases .*/archive/v(\d[-\d.beta]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
